//Описать своими словами в несколько строчек, зачем в программировании нужны циклы.
//Циклы в программировании нужны для перебора определенного набора данных в заданном диапазоне итераций

/*Реализовать программу на Javascript, которая будет находить все числа кратные 5 (делятся на 5 без остатка) в заданном диапазоне.

 Технические требования:

 Считать с помощью модального окна браузера число, которое введет пользователь.
 Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа. Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
 Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.*/


function checkNum(userNum) {
    userNum = parseInt(prompt('Enter a number:  '));
    let count = 0;

    for (let i = 1; i <= userNum; i++) {
        if (i % 5 === 0) {
            console.log('A number divisible by 5: ',i);
            count+=1;
        }

    }
    if (!count){
        console.log('Sorry, no numbers')
    }
}
 checkNum();

